Open Bug 1445164 Opened 2 years ago Updated 2 years ago

Intermittent /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be table and are considered block -- img elements - assert_not_equals: got disallowed value 2236

Categories

(Core :: CSS Parsing and Computation, defect, P5)

defect

Tracking

()

Tracking Status
firefox60 --- disabled
firefox61 --- disabled

People

(Reporter: intermittent-bug-filer, Unassigned)

References

()

Details

(Keywords: intermittent-failure, leave-open, Whiteboard: [stockwell disabled])

Attachments

(1 file)

Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=167607155&repo=autoland

https://queue.taskcluster.net/v1/task/QZlD1-vGS4-TcSdjxBCecA/runs/0/artifacts/public/logs/live_backing.log

[task 2018-03-13T07:23:46.247Z] 07:23:46     INFO - TEST-START | /css/css-tables/table-model-fixup-2.html
[task 2018-03-13T07:23:46.467Z] 07:23:46     INFO - 
[task 2018-03-13T07:23:46.467Z] 07:23:46     INFO - TEST-PASS | /css/css-tables/table-model-fixup-2.html | Replaced elements inside a table cannot be table-column and are considered inline -- img elements 
[task 2018-03-13T07:23:46.468Z] 07:23:46     INFO - TEST-PASS | /css/css-tables/table-model-fixup-2.html | Replaced elements inside a table cannot be table-cell and are considered inline -- input elements 
[task 2018-03-13T07:23:46.468Z] 07:23:46     INFO - TEST-PASS | /css/css-tables/table-model-fixup-2.html | Replaced elements inside a table cannot be table-cell and are considered inline -- img elements 
[task 2018-03-13T07:23:46.469Z] 07:23:46     INFO - TEST-PASS | /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be inline-table and are considered inline -- input=text elements 
[task 2018-03-13T07:23:46.469Z] 07:23:46     INFO - TEST-PASS | /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be inline-table and are considered inline -- input=button elements 
[task 2018-03-13T07:23:46.469Z] 07:23:46     INFO - TEST-PASS | /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be inline-table and are considered inline -- input=file elements 
[task 2018-03-13T07:23:46.470Z] 07:23:46     INFO - TEST-PASS | /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be inline-table and are considered inline -- img elements 
[task 2018-03-13T07:23:46.470Z] 07:23:46     INFO - TEST-PASS | /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be table and are considered block -- input=text elements 
[task 2018-03-13T07:23:46.470Z] 07:23:46     INFO - TEST-PASS | /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be table and are considered block -- input=button elements 
[task 2018-03-13T07:23:46.471Z] 07:23:46     INFO - TEST-PASS | /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be table and are considered block -- input=file elements 
[task 2018-03-13T07:23:46.471Z] 07:23:46     INFO - TEST-UNEXPECTED-FAIL | /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be table and are considered block -- img elements - assert_not_equals: got disallowed value 2236
[task 2018-03-13T07:23:46.471Z] 07:23:46     INFO - assertUnequalOffsetTops@http://web-platform.test:8000/css/css-tables/table-model-fixup-2.html:47:9
[task 2018-03-13T07:23:46.471Z] 07:23:46     INFO - @http://web-platform.test:8000/css/css-tables/table-model-fixup-2.html:252:9
[task 2018-03-13T07:23:46.478Z] 07:23:46     INFO - ................
[task 2018-03-13T07:23:46.478Z] 07:23:46     INFO - TEST-OK | /css/css-tables/table-model-fixup-2.html | took 220ms
[task 2018-03-13T07:23:46.588Z] 07:23:46     INFO - PID 2667 | JavaScript error: resource:///modules/AsyncTabSwitcher.jsm, line 253: TypeError: browser.frameLoader is null
[task 2018-03-13T07:23:46.757Z] 07:23:46     INFO - PID 2667 | *** UTM:SVC TimerManager:registerTimer called after profile-before-change notification. Ignoring timer registration for id: telemetry_modules_ping
[task 2018-03-13T07:23:47.088Z] 07:23:47     INFO - Browser exited with return code 0
[task 2018-03-13T07:23:47.088Z] 07:23:47  WARNING - u'runner_teardown': ()
[task 2018-03-13T07:23:47.211Z] 07:23:47     INFO - Setting up ssl
[task 2018-03-13T07:23:47.340Z] 07:23:47     INFO - certutil | 
[task 2018-03-13T07:23:47.462Z] 07:23:47     INFO - certutil | 
[task 2018-03-13T07:23:47.482Z] 07:23:47     INFO - certutil | 
[task 2018-03-13T07:23:47.483Z] 07:23:47     INFO - Certificate Nickname                                         Trust Attributes
[task 2018-03-13T07:23:47.483Z] 07:23:47     INFO -                                                              SSL,S/MIME,JAR/XPI
[task 2018-03-13T07:23:47.483Z] 07:23:47     INFO - 
[task 2018-03-13T07:23:47.483Z] 07:23:47     INFO - web-platform-tests                                           CT,, 
[task 2018-03-13T07:23:47.483Z] 07:23:47     INFO - 
[task 2018-03-13T07:23:47.560Z] 07:23:47     INFO - Application command: /builds/worker/workspace/build/application/firefox/firefox --marionette about:blank -profile /tmp/tmpWk3tvL.mozrunner
[task 2018-03-13T07:23:47.576Z] 07:23:47     INFO - Starting runner
[task 2018-03-13T07:23:49.840Z] 07:23:49     INFO - PID 2857 | 1520925829834	Marionette	INFO	Listening on port 2828
In the last 7 days we have 36 failures.
They occur on Linux (opt and debug), Linux x64 (opt, debug, pgo), linux32-stylo-disabled (opt, debug), 	linux64-stylo-disabled (opt).
Here is a recent log example: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=169102825&lineNumber=2042
and a relevant part of it:
[task 2018-03-20T02:34:34.782Z] 02:34:34     INFO - TEST-UNEXPECTED-FAIL | /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be table and are considered block -- img elements - assert_not_equals: got disallowed value 2236
Flags: needinfo?(james)
Whiteboard: [stockwell needswork]
Component: web-platform-tests → CSS Parsing and Computation
Depends on: 1444203
Flags: needinfo?(james)
Product: Testing → Core
Version: Version 3 → unspecified
No longer depends on: 1444203
Depends on: 1444203
This test looks racy. Running locally under high system load I get 8 / 9 unexpected failures consistently.
Webkit also fails intermittently the same test as us, fwiw, and all browsers agree on failing the other 8 tests. This test looks somewhat broken, I'll file.
Joel, do we have a decent way of tracking which tests are disabled for intermittents and try to re-enable them sometime?

If not, is there any plan for something like that?

I'd be fine with disabling this test, but this is a useful test (as in, what it's testing is non-trivial and important), and if it gets fixed upstream in https://github.com/w3c/web-platform-tests/issues/10165, it'd be a shame to not run it because we just didn't notice it.
Flags: needinfo?(jmaher)
we have the bug marked as leave-open after disabling.  This allows for the people who watch bugs in the component know which tests have been disabled.  As for web-platform-tests, in general web-platform-tests are automatically checked on try and the manifests annotated before landing.  I am not clear if the import process tries to run disabled tests.

:jgraham, could you point to some docs or clarify the process for importing new tests and if you try to run disabled tests as part of this?
Flags: needinfo?(jmaher) → needinfo?(james)
We don't try to run disabled tests as part of an import. One can imagine re-enabling disabled tests that got changed upstream, but that work is not currently planned.
Flags: needinfo?(james)
One thing we can do is just mark this one subtest as disabled, which basically means we ignore the result. But we still need  to remember to  re-enable it once the test is fixed.
This bug has failed 194 times in the last 7 days on Linux affecting opt, pgo, debug build types. Failing test: web-platform-tests-e10s.

Link to a recent log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=171624184&lineNumber=5265

Part of tht log: 
[task 2018-04-03T12:48:17.677Z] 12:48:17     INFO - TEST-PASS | /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be table and are considered block -- input=file elements 
[task 2018-04-03T12:48:17.677Z] 12:48:17     INFO - TEST-UNEXPECTED-FAIL | /css/css-tables/table-model-fixup-2.html | Replaced elements outside a table cannot be table and are considered block -- img elements - assert_not_equals: got disallowed value 2236
[task 2018-04-03T12:48:17.678Z] 12:48:17     INFO - assertUnequalOffsetTops@http://web-platform.test:8000/css/css-tables/table-model-fixup-2.html:47:9
[task 2018-04-03T12:48:17.678Z] 12:48:17     INFO - @http://web-platform.test:8000/css/css-tables/table-model-fixup-2.html:252:9
[task 2018-04-03T12:48:17.683Z] 12:48:17     INFO - ................
[task 2018-04-03T12:48:17.684Z] 12:48:17     INFO - TEST-OK | /css/css-tables/table-model-fixup-2.html | took 873ms 

:jet do you have any update on this bug?
:jmaher should we disable this test?
Flags: needinfo?(jmaher)
Flags: needinfo?(bugs)
Arthur, lets disable this- we would be depending on code from upstream and the failure rate here is extremely high.
Flags: needinfo?(jmaher)
(In reply to Joel Maher ( :jmaher) (UTC-5) from comment #20)
> Arthur, lets disable this- we would be depending on code from upstream and
> the failure rate here is extremely high.

It may not be that simple. This test happens to be the first of similar other tests that depends on a specific image resource being loaded. Disabling this test will likely move the race to the next test (which now works because this test places the needed image in the browser cache.)
thanks for the warning :jet, I pushed to try and verified this was a single issue instead of more test issues- I believe we are good and restricting this to webrender keeps the test running.

here is a try push:
https://treeherder.mozilla.org/#/jobs?repo=try&revision=e148ce677be724dbd5579ba7fbd2f9707a5aee2f

you can see this fails once on linux64-opt, which is good since we are not disabling it on that platform.
Attachment #8964912 - Flags: review?(bugs)
Duplicate of this bug: 1444203
Attachment #8964912 - Flags: review?(bugs) → review+
Flags: needinfo?(bugs)
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/4e90aae043ba
Disable /css/css-tables/table-model-fixup-2.html on linux64-qr. r=jet
Keywords: leave-open
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Pushed by ryanvm@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/fea2069a6e26
Disable /css/css-tables/table-model-fixup-2.html on linux. r=me
You need to log in before you can comment on or make changes to this bug.